Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wpvs.j3d
Class TexturedSurface

    java.lang.Object
      javax.media.j3d.SceneGraphObject
          javax.media.j3d.Node
              javax.media.j3d.Leaf
                  javax.media.j3d.Shape3D
                      org.deegree.ogcwebservices.wpvs.j3d.DefaultSurface
                          org.deegree.ogcwebservices.wpvs.j3d.ColoredSurface
                              org.deegree.ogcwebservices.wpvs.j3d.TexturedSurface

    public class TexturedSurface

extends ColoredSurface

Version:
  $Revision: 18195 $, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.ogcwebservices.wpvs.j3d.DefaultSurface
`geometry`

Fields inherited from class javax.media.j3d.Shape3D
`ALLOW_APPEARANCE_OVERRIDE_READ, ALLOW_APPEARANCE_OVERRIDE_WRITE, ALLOW_APPEARANCE_READ, ALLOW_APPEARANCE_WRITE, ALLOW_COLLISION_BOUNDS_READ, ALLOW_COLLISION_BOUNDS_WRITE, ALLOW_GEOMETRY_READ, ALLOW_GEOMETRY_WRITE`

Fields inherited from class javax.media.j3d.Node
`ALLOW_AUTO_COMPUTE_BOUNDS_READ, ALLOW_AUTO_COMPUTE_BOUNDS_WRITE, ALLOW_BOUNDS_READ, ALLOW_BOUNDS_WRITE, ALLOW_COLLIDABLE_READ, ALLOW_COLLIDABLE_WRITE, ALLOW_LOCAL_TO_VWORLD_READ, ALLOW_LOCALE_READ, ALLOW_PARENT_READ, ALLOW_PICKABLE_READ, ALLOW_PICKABLE_WRITE, ENABLE_COLLISION_REPORTING, ENABLE_PICK_REPORTING`

Constructor Summary
`TexturedSurface(String objectID, String parentID, Geometry geometry, javax.media.j3d.Material material, float transparency, BufferedImage textureImg, List<javax.vecmath.TexCoord2f> textureCoords)` creates a TexturedSurface from a geometry, Material and a texture image.

Method Summary
`void` | `addGeometry(Geometry surface, List<javax.vecmath.TexCoord2f> texCoords)` Adds the given surface and texcoords to this shape.
`void` | `compile()` this method must be called before adding the surface to a Group
`javax.media.j3d.Appearance` | `createAppearance()` Creates an appearance by setting the texture and default texture coordinates if none were given.
`BufferedImage` | `getTexture()`

Methods inherited from class org.deegree.ogcwebservices.wpvs.j3d.ColoredSurface
`getAppearance, setAppearance`

Methods inherited from class org.deegree.ogcwebservices.wpvs.j3d.DefaultSurface
`addGeometries, extractSurface, getDefaultSurfaceID, getGeometryAsString, getGeometryInfo, getObjectID, getParentID, getSurfaceGeometry`

Methods inherited from class javax.media.j3d.Shape3D
`addGeometry, cloneNode, duplicateNode, getAllGeometries, getAppearanceOverrideEnable, getBounds, getCollisionBounds, getGeometry, getGeometry, indexOfGeometry, insertGeometry, intersect, intersect, intersect, numGeometries, removeAllGeometries, removeGeometry, removeGeometry, setAppearanceOverrideEnable, setCollisionBounds, setGeometry, setGeometry`

Methods inherited from class javax.media.j3d.Node
`cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, getBoundsAutoCompute, getCollidable, getLocale, getLocalToVworld, getLocalToVworld, getParent, getPickable, setBounds, setBoundsAutoCompute, setCollidable, setPickable`

Methods inherited from class javax.media.j3d.SceneGraphObject
`clearCapability, clearCapabilityIsFrequent, duplicateSceneGraphObject, getCapability, getCapabilityIsFrequent, getName, getUserData, isCompiled, isLive, setCapability, setCapabilityIsFrequent, setName, setUserData, toString, updateNodeReferences`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TexturedSurface

    public TexturedSurface(String objectID,
                           String parentID,
                           Geometry geometry,
                           javax.media.j3d.Material material,
                           float transparency,
                           BufferedImage textureImg,
                           List<javax.vecmath.TexCoord2f> textureCoords)

  creates a TexturedSurface from a geometry, Material and a texture image. Since a texture image be somehow transparent it is useful to be able to define a surfaces color.

  Parameters:
    `objectID` - an Id for this Surface, for example a db primary key
    `parentID` - an Id for the parent of this Surface, for example if this is a wall the parent is the building.
    `geometry` - the ogc:geometry surface which holds the point references of a polygon, not to be confused with a j3d Object which this class represents.
    `material` -
    `transparency` -
    `textureImg` -
    `textureCoords` -

Method Detail

### getTexture

    public BufferedImage getTexture()

  Returns:
    the texture of this surface.

### compile

    public void compile()

  this method must be called before adding the surface to a Group

  Overrides:
    `compile` in class `DefaultSurface`

### addGeometry

    public void addGeometry(Geometry surface,
                            List<javax.vecmath.TexCoord2f> texCoords)

  Adds the given surface and texcoords to this shape.

  Parameters:
    `surface` - to be added
    `texCoords` - to be added.

### createAppearance

    public javax.media.j3d.Appearance createAppearance()

  Creates an appearance by setting the texture and default texture coordinates if none were given.

  Returns:
    the altered appearance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org